LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-03-2003, 02:15 AM   #1
madiyaan
Member
 
Registered: Apr 2003
Posts: 69

Rep: Reputation: 15
Question Dependency question...


When I try to install a program using "program installer" in Mandrake. (I'm using mandrake 9.1 KDE) it gives me the dependency error:

Conflicts were detected:
Perl(Fcntl) is needed by xscreensaver
perl(POSIX) is needed by xscreensaver
perl(Socket) is needed by xscreensaver
perl(Time::Local) is needed by xscreensaver
perl(bytes) is needed by xscreensaver
perl(diagnostics) is needed by xscreensaver
perl(strict) is needed by xscreensaver
redhat-logos - 1.1.1 is needed by xscreensaver

I think i can get red hat logos, but i know which perl rpm to install to get the above functions...Any guru's help would be highly appreciated....
 
Old 06-03-2003, 02:37 AM   #2
yowwww
Member
 
Registered: Apr 2003
Location: Ontario, Canada
Distribution: Arch Linux
Posts: 533

Rep: Reputation: 30
what program are you trying to install?
is it is file that is made for mdk?
it sounds like you have a rpm made for red hat
 
Old 06-03-2003, 03:15 AM   #3
madiyaan
Member
 
Registered: Apr 2003
Posts: 69

Original Poster
Rep: Reputation: 15
I'm trying to install xscreensaver 4.10
Yes i think its made for red hat, but cant it run in mandrake?
Actually i wanted to XMatrix screensaver...
 
Old 06-03-2003, 03:19 PM   #4
madiyaan
Member
 
Registered: Apr 2003
Posts: 69

Original Poster
Rep: Reputation: 15
Is there a way that i can get that screensaver without having to install dependencies of red hat etc.?
 
Old 06-03-2003, 03:27 PM   #5
Proud
Senior Member
 
Registered: Dec 2002
Location: England
Distribution: Used to use Mandrake/Mandriva
Posts: 2,794

Rep: Reputation: 116Reputation: 116
Get a Mandrake version, the RedHat one will be compiled for the different position and configuration of RH libraries etc, it probably wont work.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Dependency Question megadeth Slackware 10 04-13-2005 05:25 PM
dependency question jax8 Linux - Newbie 2 03-31-2004 09:39 AM
RPM Dependency Question cmpaul Linux - Software 4 08-13-2003 07:16 PM
RPM dependency question tarballed Linux - Software 5 05-13-2003 12:11 PM
Dependency Question ? g0dzuki99 Linux - General 5 12-13-2002 09:58 PM


All times are GMT -5. The time now is 01:55 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration